package com.company;



import java.util.Scanner;
import java.util.Timer;

public class Main {

    public static void main(String[] args) {
        int turns = 0;
        System.out.println("What type of game do you want? 0)console 1)graphic");
        Scanner scanner = new Scanner(System.in);
        byte displayType = scanner.nextByte();
        Player1 play1 = new Player1();
        Player2 play2 = new Player2();
        Console console = new Console(displayType);
        Graphic graphic = new Graphic(displayType);
        if (displayType == 0) {
            console.display(play1.getArr1(), play2.getArr2());
        }
        else {
            graphic.display(play1.getArr1(), play2.getArr2());
        }
        while ((play1.getNumberOfDisks(play1.getArr1()) + play2.getNumberOfDisks(play2.getArr2()) < 64) &&
                (play1.getNumberOfDisks(play1.getArr1()) != 0) && (play2.getNumberOfDisks(play2.getArr2()) != 0))
        {
            if ((play1.numberOfPlayerPossibleMoves(play2.getArr2(), play1.getArr1()) == 0) &&
                    (play2.numberOfPlayerPossibleMoves(play1.getArr1(), play2.getArr2()) == 0))
                break;
            turns++;
            if (turns %2 == 1){
                if (play1.numberOfPlayerPossibleMoves(play2.getArr2(), play1.getArr1()) != 0) {
                    if (displayType == 0)
                        console.printing("Player", 1);
                    else
                        graphic.printing("Player", 1);
                }
                else {
                    //if there is no possible move prints pass
                    if (displayType == 0)
                        console.printing("pass", 1);
                    else
                        graphic.printing("pass", 1);
                    turns++;
                }
            }
            if (turns %2 == 0){
                if (play2.numberOfPlayerPossibleMoves(play1.getArr1(), play2.getArr2()) != 0) {
                    if (play1.numberOfPlayerPossibleMoves(play2.getArr2(), play1.getArr1()) != 0) {
                        if (displayType == 0)
                            console.printing("Player", 2);
                        else
                            graphic.printing("Player", 2);
                    }
                }
                else {
                    //if there is no possible move prints pass
                    if (displayType == 0)
                        console.printing("pass", 2);
                    else
                        graphic.printing("pass", 2);
                    continue;
                }
            }
            int[] inputs = new int[2];
            if (displayType == 0) {
                inputs = console.getInput();
            }
            else {
                inputs = graphic.getInput();
            }
            int y = inputs[1];
            int x = inputs[0];
            System.out.println("x = " + x);
            System.out.println("y = " + y);
            if ((x >= 1) && (x < 9) && (y >= 1) && (y < 9)) {
               if ((!play1.containsInArray(play1.getArr1(), x, y)) && (!play2.containsInArray(play2.getArr2(), x, y))){
                   if (turns %2 == 1){
                       play1.searchInNeighbors(play2.getArr2(), play1.getArr1(), x, y);
                   }
                   else
                       play2.searchInNeighbors(play1.getArr1(), play2.getArr2(), x, y);
               }

            }
           if (displayType == 0) {
                console.display(play1.getArr1(), play2.getArr2());
           }
           else {
                graphic.display(play1.getArr1(), play2.getArr2());
           }
            //System.out.println("player1: "+play1.getNumberOfDisks1()+" player2:"+play2.getNumberOfDisks2());
        }
        if (play1.getNumberOfDisks(play1.getArr1()) > play2.getNumberOfDisks(play2.getArr2()))
            System.out.println("Player1 wins!");
        else
            System.out.println("Player2 wins!");
    }



}
